# Store info

The RKFL provides an API to return the store information to display on the payment page. However, the merchant website already has the shopper information to show on any page, and the RKFL API is optional.

The idea of the store info on the payment page is similar to the below image. Please note the logo of the merchant and " <*store\_name*>" next to it.

![](/files/qP0g64YNhqm1vDfD1tlP)

<mark style="color:blue;">`GET`</mark> `/stores`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + mechant access token |
| Content-Type                                    | String | application/json                |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
  "ok": true,
  "result": {
    "merchant": {
      "id": "2335689b-7a4d-420a-9cc0-f5d765a96967",
      "shopData": {
        "url": "https://qa-woocommerce.rocketdemo.net/",
        "logo": "https://dev-rocketfuel-videos.s3.us-east-1.amazonaws.com/shoplogo/MjMzNTY4OWItN2E0ZC00MjBhLTljYzAtZjVkNzY1YTk2OTY3_1642923504.png",
        "companyName": "Hush Puppies ",
        "description": "Hush Puppies "
      }
    },
    "whiteLabel": {
      "id": 67,
      "partnerId": "089ee3b5-50fd-4cb2-9397-0f7a2d34613f",
      "colorSchema": {
        "partnerUrl": "https://rocketfuelblockchain.com",
        "contactEmail": "support@rocketfuelblockchain.com",
        "partnerLabel": "Rocketfuel"
      },
      "createdAt": "2022-03-31T08:17:54.759Z",
      "updatedAt": "2022-05-23T11:23:06.127Z",
      "partner": {
        "fullname": "mucofin"
      }
    },
    "settings": {
      "bankPaymentEnabled": true,
      "walletPaymentEnabled": true,
      "exchangePaymentEnabled": true,
      "tabs": [
        "Crypto Exchange",
        "Crypto Wallet",
        "Bank Transfer"
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/store-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
